//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe;

import java.io.IOException;

import de.frankmuenster.hibiscus.mahoe.utils.BlzToAdd;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.frankmuenster.hibiscus.mahoe.utils.Utils;
import de.willuhn.jameica.plugin.AbstractPlugin;
//import de.willuhn.logging.Logger;
import de.willuhn.logging.Logger;

/**
 * @author Frank Mnster
 * 
 */
public class MahoeMain extends AbstractPlugin {

	/**
	 * Standardkonstruktor
	 */
	public MahoeMain() {
		super();
	}

	/**
	 * 
	 */
	@Override
	public void init() {
		// Registere den Migrator-Handler
		// new MahoeUpdateHandler();

		// Einmal alle provider laden, damit die BLZ eingetragen werde
		this.loadProviders();

	}

	/**
	 * Lade die Job Provider damit die untersttzte BLZ Liste gefllt wird.
	 */
	private void loadProviders() {

		Class<?>[] classes;
		try {
			classes = Utils.getClasses("de.frankmuenster.hibiscus.mahoe"); //$NON-NLS-1$
			for (final Class<?> clazz : classes) {
				if (clazz.isAnnotationPresent(BlzToAdd.class)) {
					Logger.info(I18N.tr("MahoeMain.loadBLZ") + clazz.getName()); //$NON-NLS-1$
					try {
						Class.forName(clazz.getCanonicalName());
					} catch (ClassNotFoundException e) {
						Logger.error(
								I18N.tr("MahoeMain.loadProviderFailed", clazz.getName(), e.getLocalizedMessage()), e); //$NON-NLS-1$
					}
				}
			}
		} catch (ClassNotFoundException | IOException e) {
			Logger.error(I18N.tr("MahoeMain.loadingClassesFailed", e.getLocalizedMessage()), e); //$NON-NLS-1$
		}
	}

}
