//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bcee.jobs;

import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.willuhn.jameica.system.Application;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.util.ApplicationException;

/**
 * Utility-Klasse fr BceeSynchronizeJobKontoauszug
 * 
 * @author Frank Mnster
 *
 */
public final class BceeSynchronizeJobKontoauszugUtils {

	/**
	 * Privater Konstruktor
	 */
	private BceeSynchronizeJobKontoauszugUtils() {
		throw new AssertionError("Instantiating utility class..."); //$NON-NLS-1$
	}

	/**
	 * Fragt den Benutzer nach dem Einmalpasswort (OneTimePassword otp).
	 * 
	 * @return das OTP
	 * 
	 * @throws OperationCanceledException
	 * @throws ApplicationException
	 */
	public static String getOtp() throws OperationCanceledException, ApplicationException {

		String otp;
		try {
			otp = Application.getCallback().askUser(I18N.tr("BceeSynchronizeJobKontoauszugUtils.questionText"), //$NON-NLS-1$
					I18N.tr("BceeSynchronizeJobKontoauszugUtils.lableText")); //$NON-NLS-1$
		} catch (Exception e) { // NOPMD
			throw new ApplicationException(I18N.tr("BceeSynchronizeJobKontoauszugUtils.dialogOpenFailed"), e); //$NON-NLS-1$
		}
		return otp;

	}

}
