//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 
package de.frankmuenster.hibiscus.mahoe.bsh;

/**
 * BSH - Schwbisch Hall
 *
 * @author Frank Mnster
 */
public final class SchwaebischHall {

    /**
     * BSH BIC
     */
    public final static String BIC = "GENODEFFXXX"; //$NON-NLS-1$

    /**
     * BSH BLZ
     */
    public final static String BLZ = "62220000"; //$NON-NLS-1$

    /**
     * BLZ der DZ-Bank fr die IBAN
     */
    public final static String BLZ_DZ = "50060414"; //$NON-NLS-1$

    /**
     * BSH Name
     */
    public final static String NAME = "Schwbisch Hall"; //$NON-NLS-1$

    /**
     * BSH Vertrge URL
     */
    public final static String URL_CONTRACTS = "https://www.schwaebisch-hall.de/bin/bshweb/accountcontracts"; //$NON-NLS-1$

    /**
     * BSH Vertragsdetails URL
     */
    public final static String URL_DETAILS = "https://www.schwaebisch-hall.de/bin/bshweb/accountdetails"; //$NON-NLS-1$

    /**
     * BSH Home URL
     */
    public final static String URL_HOME = "https://www.schwaebisch-hall.de"; //$NON-NLS-1$

    /**
     * BSH IBAN URL
     */
    public final static String URL_IBAN = "https://www.schwaebisch-hall.de/content/bshweb/startseite/mein-konto/_jcr_content/accountContract.bin.v-iban-request"; //$NON-NLS-1$

    /**
     * BSH PostBox URL
     */
    public static final String URL_POSTBOX = "https://www.schwaebisch-hall.de/content/bshweb/startseite/mein-konto.bin.postboxmessage"; //$NON-NLS-1$

    /**
     * BSH Anzahl neue Mails URL
     */
    public final static String URL_MESSAGE_COUNT = SchwaebischHall.URL_POSTBOX + "?command=messagecount"; //$NON-NLS-1$

    /**
     * BSH IBAN URL
     */
    public final static String URL_MESSAGES = SchwaebischHall.URL_POSTBOX + "?command=getmessages"; //$NON-NLS-1$

    /**
     * Freistellungsautrag URL
     */
    public final static String URL_EXEMPTION = "https://www.schwaebisch-hall.de/bin/bshweb/showexemptiondata"; //$NON-NLS-1$

    /**
     * BSH Login URL
     */
    public final static String URL_LOGIN_LOGOFF = "https://www.schwaebisch-hall.de/content/bshweb/startseite.bin.submitLoginAndLogout"; //$NON-NLS-1$

    /**
     * Standardkonstruktor
     */
    private SchwaebischHall() {
        super();
    }
}
