//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe.bsh.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.AccountInfo;
import de.frankmuenster.hibiscus.mahoe.bsh.SchwaebischHall;
import de.frankmuenster.hibiscus.mahoe.bsh.json.Account;

/**
 * Bentigte Informationen zum Erstellen eines Bsh Kontos
 *
 * @author Frank Mnster
 *
 */
public class BshAccountInfo extends AccountInfo {

	/**
	 * Account JSON
	 */
	private Account account;

	/**
	 * Ask always Passwort
	 */
	private boolean alwaysAskForPW;

	/**
	 * Kundennummer
	 */
	private String kdNummer;

	/**
	 * Standardkonstruktor
	 */
	public BshAccountInfo() {
		super();
	}

	/**
	 * @return das Account-Object
	 */
	public Account getAccount() {
		return this.account;
	}

	/**
	 * @return the blz
	 */
	public String getBlzDz() {
		return SchwaebischHall.BLZ_DZ;
	}

	/**
	 * @return the bsn
	 */
	public String getBsn() {
		return this.account.getBsn();
	}

	/**
	 * @return die Hauptnummer des Vertrages
	 */
	public String getCoreId() {
		return this.account.getCoreId();
	}

	/**
	 * @return the kdNummer
	 */
	public String getKdNummer() {
		return this.kdNummer;
	}

	/**
	 * @return coreId+Buchstabe+Nummer
	 */
	public String getLetterNumber() {
		return this.account.getContractLetter() + this.account.getContractNumber();
	}

	/**
	 * @return the vtn
	 */
	public String getVtn() {
		return this.account.getVtn();
	}

	/**
	 * @return the alwaysAskForPW
	 */
	public boolean isAlwaysAskForPW() {
		return this.alwaysAskForPW;
	}

	/**
	 * @param account
	 *            the account to set
	 */
	public void setAccount(final Account account) {
		this.account = account;
	}

	/**
	 * @param alwaysAskForPW
	 *            the alwaysAskForPW to set
	 */
	public void setAlwaysAskForPW(final boolean alwaysAskForPW) {
		this.alwaysAskForPW = alwaysAskForPW;
	}

	/**
	 * @param kdNummer
	 *            the kdNummer to set
	 */
	public void setKdNummer(final String kdNummer) {
		this.kdNummer = kdNummer;
	}

}
