//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.web;

import java.util.Date;
import java.util.List;

import com.gargoylesoftware.htmlunit.WebClient;

import de.frankmuenster.hibiscus.mahoe.messages.AbstractBankMessages;
import de.frankmuenster.hibiscus.mahoe.messages.MahoeMessage;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.frankmuenster.hibiscus.mahoe.web.WebSiteException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Bank-Nachrichten der BSH
 * 
 * @author Frank Mnster
 * 
 */
public class BshBankMessages extends AbstractBankMessages {

	/**
	 * Konstruktor
	 * 
	 * @param webClient
	 */
	public BshBankMessages(final WebClient webClient) {
		super(webClient);
	}

	/**
	 * @see AbstractBankMessages#readMessages(Date)
	 */
	@Override
	public void readMessages(final Date startDate) throws WebSiteException, ApplicationException {

		if (BshWebSiteUtils.getNewMessageCount(webclient) > 0) {
			Logger.info("Lese neue Institutsnachrichten."); //$NON-NLS-1$

			final List<MahoeMessage> mesgs = BshWebSiteUtils.getNewMessages(webclient);
			messages.addAll(mesgs);

		}

	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.messages.InterfaceBankMessages#markAsRead(de.frankmuenster.hibiscus.mahoe.messages.MahoeMessage)
	 */
	@Override
	public void markAsRead(final MahoeMessage message) throws ApplicationException {
		try {
			BshWebSiteUtils.markMessageAsRead(webclient, message);
		} catch (WebSiteException e) {
			Logger.error(I18N.tr("BshBankMessages.markAsReadFailed"), e); //$NON-NLS-1$
			throw new ApplicationException(I18N.tr("BshBankMessages.markAsReadFailed"), e); //$NON-NLS-1$
		}

	}
}
