//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe.gui.utils;

import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.hibiscus.mahoe.gui.controller.BshSettingsController;
import de.frankmuenster.hibiscus.mahoe.gui.controller.SettingsController;
import de.frankmuenster.hibiscus.mahoe.gui.parts.BshSettingsPart;
import de.willuhn.jameica.gui.util.TabGroup;
import de.willuhn.jameica.hbci.rmi.Konto;

/**
 * @author Frank Mnster
 *
 */
public class BshSettingsTabGroup implements SettingsTabGroup<SettingsController> {

	/**
	 * Der Tab-Kontroller
	 */
	private final transient BshSettingsController control;

	/**
	 * Erstellt einen BSK Schwbisch Hall-Einstellungs-Tab.
	 *
	 * @param tabFolder
	 *            der SWT TabFolder in dem der Tab erstellt werden soll.
	 */
	public BshSettingsTabGroup(final TabFolder tabFolder) {
		//
		this.control = new BshSettingsController();

		final TabGroup tabGroup = new TabGroup(tabFolder, "BSK Schwbisch Hall"); //$NON-NLS-1$
		tabGroup.addPart(new BshSettingsPart(this.control));

	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.gui.utils.SettingsTabGroup#getController()
	 */
	@Override
	public SettingsController getController() {
		return this.control;
	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.gui.utils.SettingsTabGroup#getAccount()
	 */
	@Override
	public Konto getAccount() {

		return (Konto) this.control.getKonto().getValue();
	}

}
