//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe.gui.utils;

import de.frankmuenster.hibiscus.mahoe.gui.controller.SettingsController;
import de.willuhn.jameica.hbci.rmi.Konto;

/**
 * Interface einer Settings TabGroup
 *
 * @author Frank Mnster
 * 
 * @param <C>
 *            Der implemtierungsspecifische SettingsController
 *
 */
public interface SettingsTabGroup<C extends SettingsController> {

	/**
	 * Liefert den zum Tab geh&ouml;renden Kontroller
	 *
	 * @return der Tab-Kontroller
	 */
	C getController();

	/**
	 * Liefert den zu ffnende Konto oder NULL, wenn nicht sausgew&auml;hlt ist.
	 *
	 * @return das ausgw&auml;hlte Konto oder NULL
	 */
	Konto getAccount();

}
