//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.messages;

import java.util.Date;

import de.frankmuenster.hibiscus.mahoe.web.WebSiteException;
import de.willuhn.util.ApplicationException;

/**
 * Interface fr die Abfrage von Bank-Nachrichten
 * 
 * @author Frank Mnster
 *
 */
public interface InterfaceBankMessages {

	/**
	 * Liest alle Bank-Nachrichten ab startDate. Ist startDate nicht gegeben,
	 * wird das letzte Jahr verwendet. Muss von der realen Klasse implementiert
	 * werden.
	 * 
	 * @param startDate
	 * @throws WebSiteException
	 * @throws ApplicationException
	 */
	void readMessages(final Date startDate) throws WebSiteException, ApplicationException;

	/**
	 * Speichert eine Bank-Nachricht. Allerdings nur wenn sie nicht schon
	 * vorhanden ist.
	 * 
	 * @return Anzahl an neuen Nachrichten
	 * 
	 * @throws ApplicationException
	 */
	int saveMessage() throws ApplicationException;

	/**
	 * Markiert eine Nachricht als gelesen.
	 * 
	 * @param message
	 *            Die Nachricht, die als gelesen markiert werden soll
	 * 
	 * @throws ApplicationException
	 */
	void markAsRead(final MahoeMessage message) throws ApplicationException;

}