//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//
package de.frankmuenster.hibiscus.mahoe.pdfextractor;

import java.util.Date;

import org.apache.commons.lang.StringUtils;

/**
 * Buchungen aus PDFs. Dient als Zwischenschritt zum Anlegen der endgltigen
 * Ums&auml;tze in Hibiscus.
 * 
 * @author Frank Mnster
 * 
 */
@SuppressWarnings("PMD.LongVariable")
public class PdfBuchung {

	/**
	 * Amount
	 */
	private Double betrag;

	/**
	 * the effective date of the entry
	 */
	private Date buchungsDatum;
	/**
	 * foreign currency
	 */
	private String fremdWaehrung;
	/**
	 * Amount in foreign currency
	 */
	private Double fremdWaehrungsBetrag;
	/**
	 * the date of the acquisition
	 */
	private Date kaufDatum;
	/**
	 * Exchange rate
	 */
	private Double kurs;
	/**
	 * Saldo of the entry
	 */
	private double saldo;
	/**
	 * Purpose of the entry
	 */
	private String zweck;

	/**
	 * Standardkonstruktor
	 */
	public PdfBuchung() {
		// Absichtlich leer
	}

	/**
	 * @return the betrag
	 */

	public Double getBetrag() {
		return betrag;
	}

	/**
	 * @return the buchungsDaten
	 */
	public Date getBuchungsDatum() {
		return buchungsDatum;
	}

	/**
	 * @return the fremdWaehrung
	 */
	public String getFremdWaehrung() {
		return fremdWaehrung;
	}

	/**
	 * @return the fremdWaehrungsBetrag
	 */
	public Double getFremdWaehrungsBetrag() {
		return fremdWaehrungsBetrag;
	}

	/**
	 * @return the kaufDatum
	 */
	public Date getKaufDatum() {
		return kaufDatum;
	}

	/**
	 * @return the kurs
	 */
	public Double getKurs() {
		return kurs;
	}

	/**
	 * @return the saldo
	 */
	public double getSaldo() {
		return saldo;
	}

	/**
	 * @return the zweck
	 */
	public String getZweck() {
		return zweck == null ? StringUtils.EMPTY : zweck;
	}

	/**
	 * @param betrag
	 *            the betrag to set
	 */
	public void setBetrag(final Double betrag) {
		this.betrag = betrag;
	}

	/**
	 * @param buchungsDatum
	 *            the buchungsDatum to set
	 */
	public void setBuchungsDatum(final Date buchungsDatum) {
		this.buchungsDatum = buchungsDatum;
	}

	/**
	 * @param fremdWaehrung
	 *            the fremdWaehrung to set
	 */
	public void setFremdWaehrung(final String fremdWaehrung) {
		this.fremdWaehrung = fremdWaehrung;
	}

	/**
	 * @param fremdWaehrungsBetrag
	 *            the fremdWaehrungsBetrag to set
	 */
	public void setFremdWaehrungsBetrag(final Double fremdWaehrungsBetrag) {
		this.fremdWaehrungsBetrag = fremdWaehrungsBetrag;
	}

	/**
	 * @param kaufDatum
	 *            the kaufDatum to set
	 */
	public void setKaufDatum(final Date kaufDatum) {
		this.kaufDatum = kaufDatum;
	}

	/**
	 * @param kurs
	 *            the kurs to set
	 */
	public void setKurs(final Double kurs) {
		this.kurs = kurs;
	}

	/**
	 * @param saldo
	 *            the saldo to set
	 */
	public void setSaldo(final double saldo) {
		this.saldo = saldo;
	}

	/**
	 * @param zweck
	 *            the zweck to set
	 */
	public void setZweck(final String zweck) {
		this.zweck = zweck;
	}
}