//
// Copyright 2014 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.pdfextractor;

/**
 * Enthlt einen String mit Positionsangaben innerhalb der PDF-Seite.
 * 
 * @author Frank Mnster
 * 
 */
@SuppressWarnings("PMD.AtLeastOneConstructor")
public class PdfEintrag {
	/**
	 * The x position of the word
	 */
	private transient double positionX;
	/**
	 * The y position of the word
	 */
	private transient double positionY;
	/**
	 * The word itself as string
	 */
	private transient String wort;
	/**
	 * @return the positionX
	 */
	public double getPositionX() {
		return positionX;
	}
	/**
	 * @return the positionY
	 */
	public double getPositionY() {
		return positionY;
	}
	/**
	 * @return the wort
	 */
	public String getWort() {
		return wort;
	}
	/**
	 * @param positionX the positionX to set
	 */
	public void setPositionX(final double positionX) {
		this.positionX = positionX;
	}
	/**
	 * @param positionY the positionY to set
	 */
	public void setPositionY(final double positionY) {
		this.positionY = positionY;
	}
	/**
	 * @param wort the wort to set
	 */
	public void setWort(final String wort) {
		this.wort = wort;
	}
}
