//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe.santander;

/**
 * BOS - Bank Of Scotland
 *
 * @author Frank Mnster
 *
 */
public final class SantanderBank {

	/**
	 * Santander BIC
	 */
	public final static String BIC = "CCBADE31"; //$NON-NLS-1$

	/**
	 * Santander Consumer BLZ
	 */
	public final static String BLZ = "31010833"; //$NON-NLS-1$

	/**
	 * Santander Name
	 */
	public final static String NAME = "Santander Bank"; //$NON-NLS-1$

	/**
	 * Version der META Daten der Girokonten
	 */
	public final static String KTO_VER_GIRO = "1"; //$NON-NLS-1$

	/**
	 * Version der META Daten der Kreditkarten-Konten <br/>
	 * Seit Mahoe-Version 1.3.4
	 */
	public final static String KTO_VER_KREDIT = "2"; //$NON-NLS-1$

	/**
	 * Standardkonstruktor
	 */
	private SantanderBank() {
		super();
	}

}
