//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe.santander.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.AccountInfo;
import de.frankmuenster.hibiscus.mahoe.santander.web.SantanderBankEnum;
import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.jameica.hbci.rmi.KontoType;

/**
 * Bentigte Informationen zum Erstellen eines Santander Kontos
 *
 * @author Frank Mnster
 *
 */
public class SantanderCreateInfo extends AccountInfo {

	/**
	 * Banktyp
	 */
	private SantanderBankEnum bankType;

	/**
	 * Konto f&uuml;r die Ausgleichsbuchung
	 */
	private Konto clearingAccount;

	/**
	 * Ausgleichsbuchung anlegen
	 */
	private transient Boolean createClearing;

	/**
	 * KTO
	 */
	private String ktoNummer;

	/**
	 * Kontotyp
	 */
	private KontoType ktoType;

	/**
	 * Benutzername
	 */
	private String login;

	/**
	 * Standardkonstruktor
	 */
	public SantanderCreateInfo() {
		super();
	}

	/**
	 * @return the bankType
	 */
	public SantanderBankEnum getBankType() {
		return this.bankType;
	}

	/**
	 * @return the clearingAccount
	 */
	public Konto getClearingAccount() {
		return this.clearingAccount;
	}

	/**
	 * @return the createClearing
	 */
	public Boolean isCreateClearing() {
		return this.createClearing;
	}

	/**
	 * @return the ktoNummer
	 */
	public String getKtoNummer() {
		return this.ktoNummer;
	}

	/**
	 * @return the ktoType
	 */
	public KontoType getKtoType() {
		return this.ktoType;
	}

	/**
	 * @return the login
	 */
	public String getLogin() {
		return this.login;
	}

	/**
	 * @param bankType
	 *            the bankType to set
	 */
	public void setBankType(final SantanderBankEnum bankType) {
		this.bankType = bankType;
	}

	/**
	 * @param clearingAccount
	 *            the clearingAccount to set
	 */
	public void setClearingAccount(final Konto clearingAccount) {
		this.clearingAccount = clearingAccount;
	}

	/**
	 * @param createClearing
	 *            the createClearing to set
	 */
	public void setCreateClearing(final Boolean createClearing) {
		this.createClearing = createClearing;
	}

	/**
	 * @param ktoNummer
	 *            the ktoNummer to set
	 */
	public void setKtoNummer(final String ktoNummer) {
		this.ktoNummer = ktoNummer;
	}

	/**
	 * @param ktoType
	 *            the ktoType to set
	 */
	public void setKtoType(final KontoType ktoType) {
		this.ktoType = ktoType;
	}

	/**
	 * @param login
	 *            the login to set
	 */
	public void setLogin(final String login) {
		this.login = login;
	}

}
